package com.icomsys.main_vm.biz.rcp.monitoring.service;

import com.icomsys.main_vm.db.mybatis.alias.MonitoringConversationMarkVO;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.List;

@Service
public interface MonitoringConversationMarkService {
    List<HashMap> selectBookmarkList(MonitoringConversationMarkVO vo);

    int selectBookmarkListCnt(MonitoringConversationMarkVO vo);

    int insertBookmark(MonitoringConversationMarkVO vo);

    int updateBookmark(MonitoringConversationMarkVO vo);

    HashMap checkBookmarkCnt(MonitoringConversationMarkVO vo);

}
